org.bdgenomics.adam.sql

# VariantAnnotation

#### class VariantAnnotation extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. VariantAnnotation
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new VariantAnnotation(ancestralAllele: Option[String], alleleCount: Option[Int], readDepth: Option[Int], forwardReadDepth: Option[Int], reverseReadDepth: Option[Int], referenceReadDepth: Option[Int], referenceForwardReadDepth: Option[Int], referenceReverseReadDepth: Option[Int], alleleFrequency: Option[Float], cigar: Option[String], dbSnp: Option[Boolean], hapMap2: Option[Boolean], hapMap3: Option[Boolean], validated: Option[Boolean], thousandGenomes: Option[Boolean], somatic: Option[Boolean], transcriptEffects: Seq[TranscriptEffect], attributes: Map[String, String])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val alleleCount: Option[Int]

7. #### val alleleFrequency: Option[Float]

8. #### val ancestralAllele: Option[String]

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### val attributes: Map[String, String]

11. #### def canEqual(that: Any): Boolean

    Definition Classes
      VariantAnnotation → Equals

12. #### val cigar: Option[String]

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### val dbSnp: Option[Boolean]

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### val forwardReadDepth: Option[Int]

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### val hapMap2: Option[Boolean]

21. #### val hapMap3: Option[Boolean]

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def productArity: Int

    Definition Classes
      VariantAnnotation → Product

28. #### def productElement(i: Int): Any

    Definition Classes
      VariantAnnotation → Product

29. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

30. #### def productPrefix: String

    Definition Classes
      Product

31. #### val readDepth: Option[Int]

32. #### val referenceForwardReadDepth: Option[Int]

33. #### val referenceReadDepth: Option[Int]

34. #### val referenceReverseReadDepth: Option[Int]

35. #### val reverseReadDepth: Option[Int]

36. #### val somatic: Option[Boolean]

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### val thousandGenomes: Option[Boolean]

39. #### def toAvro: formats.avro.VariantAnnotation

40. #### def toString(): String

    Definition Classes
      AnyRef → Any

41. #### val transcriptEffects: Seq[TranscriptEffect]

42. #### val validated: Option[Boolean]

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped